Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.filter.codec.textline
Class LineDelimiter

    java.lang.Object
      org.apache.mina.filter.codec.textline.LineDelimiter

    public class LineDelimiter

extends Object

A delimiter which is appended to the end of a text line, such as `CR/LF`.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Field Summary
`static LineDelimiter` | `AUTO` A special line delimiter which is used for auto-detection of EOL in `TextLineDecoder`.
`static LineDelimiter` | `DEFAULT` the line delimiter constant of the current O/S.
`static LineDelimiter` | `MAC` The line delimiter constant of Mac OS (`"\r"`)
`static LineDelimiter` | `UNIX` The line delimiter constant of UNIX (`"\n"`)
`static LineDelimiter` | `WINDOWS` The line delimiter constant of MS Windows/DOS (`"\r\n"`)

Constructor Summary
`LineDelimiter(String value)` Creates a new line delimiter with the specified `value`.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getValue()` Return the delimiter string.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final LineDelimiter DEFAULT

  the line delimiter constant of the current O/S.

### AUTO

    public static final LineDelimiter AUTO

  A special line delimiter which is used for auto-detection of EOL in `TextLineDecoder`. If this delimiter is used, `TextLineDecoder` will consider both `'\r'` and `'\n'` as a delimiter.

### UNIX

    public static final LineDelimiter UNIX

  The line delimiter constant of UNIX (`"\n"`)

### WINDOWS

    public static final LineDelimiter WINDOWS

  The line delimiter constant of MS Windows/DOS (`"\r\n"`)

### MAC

    public static final LineDelimiter MAC

  The line delimiter constant of Mac OS (`"\r"`)

Constructor Detail

### LineDelimiter

    public LineDelimiter(String value)

  Creates a new line delimiter with the specified `value`.

Method Detail

### getValue

    public String getValue()

  Return the delimiter string.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.